<table border="0" class="tabela-conteudo" cellspacing="10">
	<tbody>
		<tr class="linha-topo">
			<td>
				Inser&ccedil;&atilde;o de Slide:
			</td>
		</tr>
<?php

	include_once("auxiliares/redimensionaImg.class.php");

	$redim = new Redimensiona();

	for ($i=0; $i < count($_FILES['fotoGaleriaProduto']['name']); $i++) { 

		if ($_FILES['fotoGaleriaProduto']['size'][$i] > 0 ) {

			$numero = rand(1,99999999);
			$nome = $numero.$_FILES['fotoGaleriaProduto']['name'][$i];
			$nome = $redim->tratar_arquivo_upload($nome);

			$tipoImagem = $_FILES['fotoGaleriaProduto']['type'][$i];

			// Thumbs
			$fotoThumbs = $_FILES['fotoGaleriaProduto']['tmp_name'][$i];
			$filenameThumbs = $redim->GerarThumbs($fotoThumbs, 308, 95, "imagens-site/slides/thumbs", $tipoImagem, $nome);

			// Normal
			$foto = $_FILES['fotoGaleriaProduto']['tmp_name'][$i];
			$filename = $redim->Redimensionar($foto, 1200, 1200, "imagens-site/slides", $tipoImagem, $nome);

		}

		if(!empty($filename)){
			// $querySlide = "INSERT INTO adm_slides (titulo,link,capa) VALUES ('".mysql_escape_string(utf8_decode($_POST['titulo'][$i]))."','".mysql_escape_string(utf8_decode($_POST['link'][$i]))."','".mysql_escape_string($filename)."')"; 
			$querySlide = "INSERT INTO adm_slides (titulo, link, capa, subtitulo, descricao) VALUES ('".utf8_decode($_POST['titulo'][$i])."','".$_POST['link'][$i]."','".$filename."','".utf8_decode($_POST['subtitulo'][$i])."','".utf8_decode($_POST['text'][$i])."')";
			$insertSlide = mysql_query($querySlide);
		}

		if($insertSlide){
	?>

		<tr>
			<td>
				Registro do slide <? echo $_POST['titulo']; ?> gravado com sucesso!
				<?php 
					$tamanhoImagemNova = getimagesize("imagens-site/slides/".$filename);
					if(($tamanhoImagemNova[0] > 1) || ($tamanhoImagemNova[1] > 1)){
				?>
				<h2 id="tit-jcrop">Recorte a imagem</h2>
			<div id="div-jcrop">
				<img src="imagens-site/slides/<?php echo $filename; ?>" id="jcrop" />
				<input type="button" value="Salvar" id="btn-crop" />
			</div>
			<div id="debug" style="display:none;">
				<p><strong>X</strong> <input type="text" id="xInicial" size="5" disabled /> x <input type="text" id="x2" size="5" disabled /> </p>
				<p><strong>Y</strong> <input type="text" id="y" size="5" disabled /> x <input type="text" id="y2" size="5" disabled /> </p>
				<p><strong>Dimensões</strong> <input type="text" id="h" size="5" disabled /> x <input type="text" id="w" size="5" disabled /></p>
			</div>

			<script type="text/javascript">
				var img = 'imagens-site/slides/<?php echo $filename; ?>';

				$(function(){
					$('#jcrop').Jcrop({
						onChange: exibePreview,
						onSelect: exibePreview,
						minSize		: [ 900, 247,8 ],
						maxSize		: [ 1500, 413 ],
						aspectRatio: 3.63/1,
						allowResize	: true,
						boxWidth: 750,
						boxHeight: 400
					});
					$('#btn-crop').click(function(){
						jQuery.ajax({
							url: 'controladores/slide/crop.php',
							type: 'POST',
							data: {
								img:img, 
								x: $('#xInicial').val(), 
								y: $('#y').val(), 
								w: $('#w').val(), 
								h: $('#h').val()
							},
							success: function(data, textStatus, xhr) {
								// alert(data);
							$('#div-jcrop').html( '<img style="max-width: 750px; height: auto" src="' + img + '?' + Math.random() + '"/>' );
							$('#debug').hide();
							$('#tit-jcrop').html('Feito!<br /><a href="miolo.php?miolo=slides&acao=insert">Cadastrar outro slide</a>');
							}
						});
					});
				});

				function exibePreview(c)
				{
					var rx = 100 / c.w;
					var ry = 100 / c.h;

					$('#xInicial').val(c.x);
					$('#y').val(c.y);
					$('#x2').val(c.x2);
					$('#y2').val(c.y2);
					$('#w').val(c.w);
					$('#h').val(c.h);

				};
			</script>
			<?php } ?>
			</td>
		</tr>

	<?php } if(!$insertSlide){ ?>
			<tr>
				<td>
					Houve um erro ao incluir o slide <? echo $_POST['titulo'][$i]; ?>
					<meta http-equiv="refresh" content="2;url=miolo.php?miolo=slides&acao=insert">
				</td>
			</tr>
		<?php } } ?>
	</tbody>
</table>